# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20180227
%global source_release 7
%global source_url     https://www.greekfontsociety-gfs.gr/typefaces/Math

%global default_fonts_foundry  GFS
%global default_fonts_license  OFL
# GFS already forgot about providing clean licensing texts
%global default_fonts_licenses README
%global default_fonts_docs     README

%global fonts_family             NeoHellenic Math
%global fonts_summary            GFS NeoHellenic Math, an almost Sans Serif Math font family
%global fonts_tags               %{expand:
Requires:    gfs-neohellenic-fonts
Supplements: gfs-neohellenic-fonts
}
%global fonts_fonts              *.otf
%global fonts_experimental_confs 61-%{fonts_name}.xml
%global fonts_description        %{expand:
GFS NeoHellenic Math is an almost Sans Serif font family. One of its main uses
is for presentations, an area where (we believe) a commercial grade sans math
font was not available up to now.

The font family contains an extended glyph set including more than the standard
math symbols such as vertically extended integrals, chess symbols, etc.

It was commissioned to the Greek Font Society (GFS) by the Graduate Studies
program “Studies in Mathematics” of the Department of Mathematics of the
University of the Aegean, located on the Samos island, Greece.

The design copyright belongs to the main designer of GFS, George Matthiopoulos.
The OpenType Math Table embedded in the font was developed by the Mathematics
Professor Antonis Tsolomitis.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf *.sty

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
61-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext README

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20180227-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20180227-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20180227-1
✅ Initial packaging
